.property-hero {
    height: 80vh;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: flex-end;
    color: white;
    position: relative;
    margin-bottom: 2rem;
}

.hero-content {
    padding-bottom: 3rem;
    text-shadow: 0 2px 10px rgba(0,0,0,0.7);
    width: 70%;
    margin: 0 auto;
}

.prop-tag {
    background-color: #c0392b;
    color: white;
    padding: 5px 12px;
    border-radius: 4px;
    font-size: 0.85rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 1rem;
    display: inline-block;
}

.entry-title {
    font-size: 3.5rem;
    margin: 0.5rem 0;
    line-height: 1.1;
}

.hero-location {
    font-size: 1.2rem;
    opacity: 0.9;
}

.divider-container {
    position: absolute;
    bottom: -1px;
    left: 0;
    width: 100%;
    line-height: 0;
    z-index: 10;
}

.custom-divider {
    width: 100%;
    height: 80px;
    color: black;
    display: block;
}

/* Layout Grid */
.property-layout:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='505' height='491' viewBox='0 0 487 491'%3E%3Cpath fill='%23151515' fill-rule='evenodd' d='M478.1,241.1c-3.5,0-8-2.7-8-7.1s4.5-8,8-8c5.3,0,8.9,3.6,8.9,8S483.4,241.1,478.1,241.1zM476,217c-5,0-9.9-4-9.9-9s5-9.9,9.9-9.9c5,0,9,5,9,9.9S481,217,476,217zM468.1,191c-4.6,0-10-4.5-10-10s5.4-10,10-10c6.4,0,10,4.5,10,10S474.5,191,468.1,191zM456.1,162c-5.2,0-11-4.9-11-11.9s5.8-10.1,11-10.1c7,0,11,4.9,11,10.1S463.1,162,456.1,162zM437,133.1c-7.2,0-13.9-4.9-13.9-13s6.7-13,13.9-13c7.2,0,13,6.7,13,13S444.2,133.1,437,133.1zM413,107c-8.3,0-15.9-6.7-15.9-15.9c0-7.4,7.6-14.1,15.9-14.1c8.3,0,15,6.7,15,14.1C428,100.3,421.3,107,413,107zM385.1,81c-7.9,0-15.1-7.2-15.1-16s7.2-16,15.1-16c9.7,0,16.9,7.2,16.9,16S394.8,81,385.1,81zM408,126c0,12.7-10.3,23-23.9,23c-11.8,0-23-10.3-23-23s11.2-23,23-23C397.7,103,408,113.3,408,126zM350.1,59.1c-8.5,0-16.1-6.7-16.1-17c0-8.5,7.6-16.1,16.1-16.1c10.3,0,17.9,7.6,17.9,16.1C368,52.4,360.4,59.1,350.1,59.1zM312.5,42.1c-9.7,0-18.4-6.9-18.4-16.6c0-9.7,8.7-18.4,18.4-18.4c9.7,0,16.6,8.7,16.6,18.4C329.1,35.2,322.2,42.1,312.5,42.1zM275,94c-13.8,0-25-11.2-25-25.9c0-12.9,11.2-24.1,25-24.1c13.8,0,25,11.2,25,24.1C300,82.8,288.8,94,275,94zM269.1,36c-9,0-17.1-8.1-17.1-18c0-9.9,8.1-18,17.1-18c10.8,0,18.9,8.1,18.9,18C288,27.9,279.9,36,269.1,36zM229,490.1c-4.4,0-8.9-2.7-8.9-7.1s4.5-8.9,8.9-8.9c4.4,0,7.1,4.5,7.1,8.9S233.4,490.1,229,490.1zM211.1,94c-12.9,0-25-11.2-25-25.9c0-12.9,12.1-24.1,25-24.1c14.7,0,25,11.2,25,24.1C236.1,82.8,225.8,94,211.1,94zM217,36c-9.9,0-18.9-8.1-18.9-18c0-9.9,8.9-18,18.9-18c9.9,0,17.1,8.1,17.1,18C234.1,27.9,226.9,36,217,36zM174.5,42.1c-9.7,0-17.5-6.9-17.5-16.6c0-9.7,7.8-18.4,17.5-18.4s17.5,8.7,17.5,18.4C192,35.2,184.2,42.1,174.5,42.1zM136,59.1c-9.4,0-17.9-6.7-17.9-17s8.5-16.1,17.9-16.1c9.4,0,16.1,7.6,16.1,16.1C152.1,52.4,145.4,59.1,136,59.1zM102,149c-12.7,0-23.9-10.3-23.9-23s11.2-23,23.9-23c12.7,0,23,10.3,23,23S114.7,149,102,149zM101,81c-8.8,0-16.9-7.2-16.9-16s8.1-16,16.9-16s15.1,7.2,15.1,16S109.8,81,101,81zM73.1,107c-7.4,0-15-6.7-15-15.9c0-9.2,7.6-15.9,7.4-15.9c9.2,0,15.9,6.7,15.9,14.1C89,100.3,82.3,107,73.1,107zM63,120.1c0,8.1-5.8,13-13.9,13s-13-4.9-13-13s6.7-13,13-13C57.2,107.1,63,113.8,63,120.1zM41,150.1c0,7-4.9,11.9-11,11.9s-11-4.9-11-11.9s4.9-10.1,11-10.1C36.1,140,41,144.9,41,150.1zM28,181c0,5.5-4.5,10-10,10s-10-4.5-10-10s4.5-10,10-10C23.5,171,28,175.5,28,181zM20,208c0,5-4,9-9.9,9c-4.1,0-9-4-9-9s4.9-9.9,9-9.9C16,198.1,20,203,20,208zM8,226c4.4,0,8,3.6,8,8s-3.6,7.1-8,7.1s-8-2.7-8-7.1S3.6,226,8,226zM24.1,292.1c14.7,0,25,12.1,25,25.9c0,13.8-10.3,24.1-24.1,24.1c-12.9,0-24.1-10.3-24.1-24.1C0,304.2,11.2,292.1,24.1,292.1zM62.5,256.1c9.7,0,16.6,8.7,16.6,18.4c0,9.7-6.9,17.5-16.6,17.5c-9.7,0-18.4-7.8-18.4-17.5C44.1,264.8,52.8,256.1,62.5,256.1zM87,315c13.3,0,24,10.7,24,23.1c0,14.2-10.7,24.9-24,24.9s-24-10.7-24-24.9C63,325.7,73.7,315,87,315zM101,275c9.4,0,16.1,7.6,16.1,17s-6.7,16.1-16.1,16.1c-9.4,0-17.9-6.7-17.9-16.1C83.1,282.6,91.6,275,101,275zM65,148c11.6,0,21,9.4,21,21c0,11.6-9.4,20.1-21,20.1c-11.6,0-21.9-8.5-21.9-20.1C43.1,157.4,53.4,148,65,148zM37.1,266.1c0,10.8-7.2,18.9-17.1,18.9s-18.9-8.1-18.9-18.9c0-9,9-17.1,18.9-17.1C29.9,249,37.1,257.1,37.1,266.1zM42,197c10.5,0,18.1,8.5,18.1,18.1c0,11.4-7.6,19-18.1,19s-19.9-7.6-19.9-19C22.1,205.5,31.5,197,42,197zM135,351.1c12.7,0,23,11.2,23,23c0,13.6-10.3,23-23,23c-12.7,0-23-9.4-23-23C112,362.3,122.3,351.1,135,351.1zM172,396.1c11.6,0,21,10.3,21,21.9s-9.4,20.1-21,20.1s-21.9-8.5-21.9-20.1S160.4,396.1,172,396.1zM195,445.1c10.5,0,18.1,9.4,18.1,19c0,11.4-7.6,19-18.1,19s-19.9-7.6-19.9-19C175.1,454.5,184.5,445.1,195,445.1zM229,429.1c0,6.4-4.5,10-10,10s-10.9-3.6-10.9-10c0-4.6,5.4-10,10.9-10C224.5,419.1,229,424.5,229,429.1zM218,399.1c0,7-4.9,11-11,11s-11-4-11-11c0-5.2,4.9-10.1,11-10.1C213.1,389,218,393.9,218,399.1zM199.1,370c0,7.2-4.9,13-13,13c-6.3,0-13-5.8-13-13c0-7.2,6.7-13,13-13C194.2,357,199.1,362.8,199.1,370zM162.1,355.1c-7.4,0-14.1-5.8-14.1-14.1c0-8.3,6.7-15.9,14.1-15.9c9.2,0,15,7.6,15,15.9C177.1,349.3,171.3,355.1,162.1,355.1zM151.1,314c0,8.8-6.3,15.1-15.1,15.1c-8.8,0-16.9-6.3-16.9-15.1c0-8.8,8.1-16,16.9-16C144.8,298,151.1,305.2,151.1,314zM149.1,65.1c14.2,0,24,11.7,24,24.9c0,13.3-9.8,24-24,24s-24-10.7-24-24C125.1,76.8,136.7,65.1,149.1,65.1zM226,448c5,0,8.1,4,8.1,9s-3.1,8.1-8.1,8.1c-5,0-9-3.1-9-8.1S221,448,226,448zM257.1,474.1c5.3,0,8.9,4.5,8.9,8.9s-3.6,7.1-8.9,7.1c-3.5,0-7.1-2.7-7.1-7.1S253.6,474.1,257.1,474.1zM252,457c0-5,4-9,8.1-9s9,4,9,9s-3.1,8.1-9.1,8.1C256,465.1,252,462,252,457zM291.1,445.1c11.4,0,19.9,9.4,19.9,19c0,11.4-8.5,19-19.9,19c-9.6,0-18.1-7.6-18.1-19C273,454.5,281.5,445.1,291.1,445.1zM293.1,418c0-11.6,10.3-21.9,21-21.9c12.5,0,21.9,10.3,21.9,21.9s-9.4,20.1-21.9,20.1C303.4,438.1,293.1,429.6,293.1,418zM367,314c0,8.8-7.2,15.1-16.9,15.1c-7.9,0-15.1-6.3-15.1-15.1c0-8.8,7.2-16,15.1-16C359.8,298,367,305.2,367,314zM337,65.1c13.3,0,24,11.7,24,24.9c0,13.3-10.7,24-24,24s-24-10.7-24-24C313,76.8,323.7,65.1,337,65.1zM324,325.1c8.3,0,14.1,7.6,14.1,15.9c0,8.3-5.8,15.9-14.1,15.9c-8.3,0-15-5.8-15-15.9C309,332.7,315.7,325.1,324,325.1zM300,357c7.2,0,13,5.8,13,13s-5.8,13-13,13c-7.2,0-13-5.8-13-13S292.8,357,300,357zM278,429.1c0,6.4-4.5,10-10.9,10c-4.6,0-10-3.6-10-10c0-4.6,5.3-10,10-10C273.5,419.1,278,424.5,278,429.1zM279.1,389c7,0,11,4.9,11,10.1s-4,11-11,11c-5.2,0-11-4-11-11S273.9,389,279.1,389zM328.1,374.1c0-11.8,11.2-23,23-23c13.6,0,23,11.2,23,23s-9.4,23-23,23C339.3,397.1,328.1,387.7,328.1,374.1zM399.1,315c14.2,0,24,10.7,24,23.1c0,14.2-9.8,24.9-24,24.9s-24-10.7-24-24.9C375.1,325.7,386.7,315,399.1,315zM407,274.5c0-9.7,7.8-18.4,17.5-18.4s17.5,8.7,17.5,18.4c0,9.7-7.8,17.5-17.5,17.5C414.8,292,407,284.2,407,274.5zM485,266.1c0,10.8-8.1,18.9-18.9,18.9c-9,0-17.1-8.1-17.1-18.9s8.1-17.1,17.1-17.1C476.9,249,485,257.1,485,266.1zM464,215.1c0,11.4-8.5,19-19.9,19c-9.6,0-18.1-7.6-18.1-19c0-9.6,8.5-18.1,18.1-18.1C455.5,197,464,205.5,464,215.1zM385.1,308.1c-8.5,0-16.1-6.7-16.1-16.1c0-9.4,7.6-17,16.1-17c10.3,0,17.9,7.6,17.9,17C403,301.4,395.4,308.1,385.1,308.1zM421.1,148c12.5,0,21.9,9.4,21.9,21c0,11.6-9.4,20.1-21.9,20.1c-10.7,0-21-8.5-21-20.1C400.1,157.4,410.4,148,421.1,148zM462,292.1c13.8,0,25,12.1,25,25.9c0,13.8-11.2,24.1-25,24.1c-13.8,0-25-10.3-25-24.1C437,304.2,448.2,292.1,462,292.1z'/%3E%3C/svg%3E");
    background-repeat: repeat;
    background-size: 75px auto;
    background-attachment: fixed;

    -webkit-mask-image: linear-gradient(
            to bottom,
            transparent 0%,
            black 10%,
            black 90%,
            transparent 100%
    );
    -webkit-mask-size: 100% 100%;
    -webkit-mask-repeat: no-repeat;

    mask-image: linear-gradient(
            to bottom,
            transparent 0%,
            black 10%,
            black 90%,
            transparent 100%
    );
    mask-size: 100% 100%;
    mask-repeat: no-repeat;
}

.property-layout {
    position: relative;
    min-height: 100vh;
}

.property-layout-inner{
    display: grid;
    grid-template-columns: 1fr 350px;
    gap: 30px;
    margin: 20px auto;
    padding: 0 20px;
    width: 80%;
}

.property-image-and-stats{
    border-radius: 15px;
    border: 2px solid goldenrod;
    margin-bottom:1rem;
    background-color: black;
}

.property-image img {
    width: 100%;
    height: auto;
    border-radius: 12px;
    display: block;
}

.stats-bar {
    display: flex;
    justify-content: space-around;
    padding: 20px 0;
}

.stat-item {
    text-align: center;
}

.stat-item .label {
    display: block;
    font-size: 12px;
    text-transform: uppercase;
    color: white;
    letter-spacing: 1px;
}

.stat-item .value {
    font-size: 1.2rem;
    font-weight: 700;
    color: white;
}

.property-description {
    border-radius: 15px;
    border: 2px solid goldenrod;
    padding: 1rem;
    margin-bottom:1rem;
    background-color: black;
}

.property-amenities{
    padding: 1rem;
    border-radius: 15px;
    border: 2px solid goldenrod;
    background-color: black;
}

.amenities-list {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 10px;
    list-style: none;
    padding: 0;
}

.amenities-list li {
    padding: 10px 15px;
    border-radius: 6px;
    font-size: 0.95rem;
    display: flex;
    align-items: center;
}

.amenities-list li i {
    color: #27ae60;
    margin-right: 10px;
}

/* Sidebar Price Card */
.sticky-widget {
    position: sticky;
    top: 20px;
    background: #fff;
    border: 1px solid goldenrod;
    border-radius: 12px;
    padding: 25px;
    color: black;
}

.price-header .label {
    color: #000000;
    font-size: 14px;
}

.price-header .price {
    font-size: 1.8rem;
    font-weight: 800;
    color: #000000;
    margin-bottom: 10px;
}

/* Agent Actions */
.wpcf7-submit{
    width: 100%;
    display: block;
    text-align: center;
    background: goldenrod;
    color: #000000;
    padding: 12px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 600;
    margin-top: 20px;
    margin-bottom: 0
;
    transition: background 0.3s;
    border: none;
}

.wpcf7-submit:hover {
    background: #1a252f;
}